@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}

.main-list-info-organization {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  background: #fff;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    &__button-primary {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 45px;
      background: #e8eaf6;
      color: #141ed2;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }
    &__button-primary-excel {
      border-radius: 6px;
      display: flex;
      align-items: center;
      padding: 8px 15px;
      font-size: 14px;
      min-height: 45px;
      background: white;
      border: 1px solid #e8eaf6;
      margin-left: 16px;
      font-weight: 600;
      min-width: 36px;
      color: #141ed2;
    }
  }
  &__tooltip {
    font-size: 20px;
    cursor: pointer;
  }
}

.main-list-info-organization-card {
  border-radius: 16px;

  &__button-search {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
    align-items: baseline;
  }

  &__row {
    margin-top: 16px;
  }

  &__left {
    padding-left: 15px;
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__input {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
      display: flex;
      align-items: center;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
      font-weight: bold;
    }
  }
  &__center {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
        align-items: center;
      }
    }
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
      font-weight: bold;
    }
  }
  &__right {
    padding-left: 15px;
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
      }
    }

    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
      font-weight: bold;
    }

    &__date {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
  }
}
:host ::ng-deep {
  .ant-pagination {
    float: right;
    margin-top: 16px;
  }
  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }
}
.text-ellipsis {
  white-space: nowrap;
  overflow: hidden !important;
  text-overflow: ellipsis;
}
.table {
  margin-top: 16px;
}
.custom {
  margin: 16px 1.5rem 0 1.5rem;
}

::ng-deep.ant-popover-inner-content {
  padding: 12px 10px;
  .show-column__panel {
    max-height: 500px;
    overflow-y: auto;
    ul.table-wrap__show-column {
      list-style: none;
      padding-left: 0.5rem;

      li {
        display: block;
        list-style: none !important;
      }
    }
  }
}
